This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 396881 - Anaconda: Cannot retrieve repository metadata or repository: anaconda-base-200711220556.i386
Anaconda: Cannot retrieve repository metadata or repository: anaconda-base-20...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-23 10:18 EST by Lubomir Kundrak
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-18 15:37:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-11-23 10:18:39 EST
Description of problem:

I can't install rawhide for more than a week now -- the further I get is this
screen:

      +----------------------------+ Error +-----------------------------+      
      |                                                                  |      
      | Unable to read package metadata. This may be due to a missing    |      
      | repodata directory.  Please ensure that your install tree has    |      
      | been correctly generated.  Cannot retrieve repository metadata   |      
      | (repomd.xml) for repository: anaconda-base-200711220556.i386.    |      
      | Please verify its path and try again                             |      
      |                                                                  |      
      |           +-------+                      +----------+            |      
      |           | Abort |                      | Continue |            |      
      |           +-------+                      +----------+            |      
      |                                                                  |      
      |                                                                  |      
      +------------------------------------------------------------------+      

Version-Release number of selected component (if applicable):

11.4.0.1 with isys fix

Additional info:

My kickstart configuration:

text
install
url --url=http://storm.lan/linux/fedora/rawhide/i386/os/
zerombr yes
clearpart --all --initlabel
autopart
auth  --useshadow  --enablemd5 
rootpw --iscrypted XXXXX
keyboard us
lang en_US
timezone --utc Europe/Bratislava
firewall --disabled
firstboot --disable
bootloader --location=mbr --append="panic=10"
reboot
%packages --default

Please pardon me for a higher volume of reports from me, I would like to ensure
some stuff I use will work in f9 (installs on iscsi on diskless machines, etc.),
and the rawhide tree is uninstallable for some time now. If the issues are
known, fixed and my reports are annoying, just tell me. I just feel that six
month release cycle, with one month frozen leaves small time for testing, so I
don't want uninstallable trees to shorten it even more.
Comment 1 Jeremy Katz 2007-11-26 11:41:02 EST
Is there actually repodata in your repo?
Comment 2 Lubomir Kundrak 2007-11-26 12:34:25 EST
If you mean that "http://storm.lan/linux/fedora/rawhide/i386/os/" -- yes. It is
actually not my own repo, it is a mirror of
http://download.fedora.redhat.com/pub/fedora/linux/development/i386/os/
Comment 3 Lubomir Kundrak 2007-11-26 12:39:31 EST
Also anaconda doesn't seem to attempt to fetch anything from that repo when I
retry (checked with tcpdump, and httpd logs).
Comment 4 Chris Lumens 2007-11-29 16:17:29 EST
Is this better with today's rawhide?  We've had a couple builds go by now with
tons of bugfixes.
Comment 5 Lubomir Kundrak 2007-11-30 06:47:55 EST
The same. I tried with today's rawhide + partedUtils.py fix.
Comment 6 Lubomir Kundrak 2007-11-30 06:51:48 EST
Does anaconda with current rawhide work for you. I'm mostly sure that my mirror
is alright. If I break into debugger at the place I see the dialog box, what
should I look for to get more clue? repo.baseurl contains just the correct
repository URL and I am able to use the repository with yum.
Comment 7 Lubomir Kundrak 2007-12-18 15:37:30 EST
No longer a problem -- rawhide installation succeeded for me.

Note You need to log in before you can comment on or make changes to this bug.